Bug 1292078 - python-qpid-common is not uninstalled within update
python-qpid-common is not uninstalled within update
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: releng (Show other bugs)
3.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Blazek
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 07:31 EST by Michael Petlan
Modified: 2016-05-26 15:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-26 15:43:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Petlan 2015-12-16 07:31:15 EST
Description of problem:

When updating a RHEL 7.2 box I have met the following conflict:

file /usr/lib/python2.7/site-packages/qpid/testlib.pyo from install of python-qpid-0.32-1.el7.noarch conflicts with file from package python-qpid-common-0.30-1.el7eng.noarch

$ yum info python-qpid python-qpid-common

Installed Packages
Name        : python-qpid
Arch        : noarch
Version     : 0.30
Release     : 1.el7eng
Size        : 1.1 M
Repo        : installed
From repo   : rhpkg
Summary     : Python client library for AMQP
URL         : http://qpid.apache.org
License     : ASL 2.0
Description : The Apache Qpid Python client library for AMQP.

Name        : python-qpid-common
Arch        : noarch
Version     : 0.30
Release     : 1.el7eng
Size        : 926 k
Repo        : installed
From repo   : rhpkg
Summary     : Shared code for Qpid Python language bindings
URL         : http://qpid.apache.org
License     : ASL 2.0
Description : Shared code for Qpid Python language bindings.

Available Packages
Name        : python-qpid
Arch        : noarch
Version     : 0.32
Release     : 1.el7
Size        : 351 k
Repo        : rhpkg
Summary     : Python client library for AMQP
URL         : http://qpid.apache.org
License     : ASL 2.0
Description : The Apache Qpid Python client library for AMQP.


So either the python-qpid-common package is no longer shipped and the update from 0.30 to 0.32 should remove it OR the new version of python-qpid-common package is just missing and it should be available.

Otherwise, the new python-qpid conflicts with the old python-qpid-common.


Version-Release number of selected component (if applicable):
python-qpid-0.32-1.el7.noarch
python-qpid-common-0.30-1.el7eng.noarch

How reproducible:
100%

Steps to Reproduce:
1. have python-qpid and python-qpid-common installed in version 0.30-1.el7eng
2. yum update
3.

Actual results:

python-qpid-common package is not available in the latest version

Expected results:

either python-qpid-common package is available or it is removed during the update in case it is no longer needed (I guess this is the case, since the files conflict, so they probably have been moved from python-qpid-common into python-qpid recently)

Additional info:

The machine is a RHEL 7.2 workstation with all released z-stream updates applied.
Comment 3 qpid group 2016-01-13 16:26:21 EST
python-qpid package is not distributed by RHEL 7, in this case it is distributed by rel-eng repo, and the problem is specific to this repo. I suggest either disabling rel-eng repo or removing these packages prior to starting update.
Comment 6 Anne-Louise Tangring 2016-05-26 15:43:12 EDT
MRG-Grid is in maintenance and only customer escalations will be considered. This issue can be reopened if a customer escalation associated with it occurs.

Note You need to log in before you can comment on or make changes to this bug.